-- Procedure
CREATE procedure [C6StagingPeriodico].[RP_ST_Area] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE_PERIODICO
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Area',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_Area
	insert into C6StagingPeriodico.RP_Area (
	   [Area]
	  ,[chiaveConsulenza]
      ,[percArea]
      ,[coperturaArea]
      ,[ctvArea]
      ,[varArea]
	  )
	select 
	  -------------------------> modifica del 18/1/2017 per gestire l'accorpamento (sulla nuova CU) dell'area previdenza, non più distinta tra pre1 e pre2
                     --, [Area]
           CASE 
                           WHEN propirMod.nomeProgetto = 'Previdenza Essenziale' and a.area = 'Pre' THEN 'Pre1'
                           WHEN propirMod.nomeProgetto = 'Previdenza Secondaria' and a.area = 'Pre' THEN 'Pre2'
                     else a.area
                     END AS [Area]
      -------------------------> FINE modifica del 13/1/2017 
	  ,[chiaveConsulenza]
      , null as  percArea
      ,dpos.Copertura as coperturaArea
      ,dpos.ctv as ctvArea
       ,null as varArea
	   from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Area a
	   inner join  [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Progetto prog
	   on a.chiaveArea = prog.ChiaveArea
	   inner join [CONSUNI_PERIODICO].[consulenzaUnica].dbo.PosizioniPortafoglio pos
	   on pos.chiaveProgetto = prog.chiaveProgetto
	   inner join  [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettaglioPosizionePortafoglio dpos
	   on pos.chiavePosizionePtf = dpos.chiavePosizionePtf
			--- Modifica del 18/1/2017 per reperire la descrizione del progetto per la case di cui sopra
			inner join  CONSUNI_PERIODICO.ConsulenzaUnica.dbo.ProgettiPiramideModello propirMod
			on propirMod.chiaveprogettomod = prog.chiaveprogettomod
		    group by area,chiaveconsulenza,dpos.copertura,dpos.ctv ,propirMod.nomeProgetto
			---------------------------------------------------------------------------------------------
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE_PERIODICO
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Area' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE_PERIODICO
			WHERE
				Nome = 'RP_ST_Area'
		)
end